graaff      14/10/28 18:08:35

  Modified:             ChangeLog rubyzip-1.1.3.ebuild
  Log:
  Fix test failures due to random ordering of tests with newer minitest, bug 
527266.
  
  (Portage version: 2.2.8-r2/cvs/Linux x86_64, signed Manifest commit with key 
0x8883FA56A308A8D7!)

Revision  Changes    Path
1.41                 dev-ruby/rubyzip/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubyzip/ChangeLog?rev=1.41&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubyzip/ChangeLog?rev=1.41&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubyzip/ChangeLog?r1=1.40&r2=1.41

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/rubyzip/ChangeLog,v
retrieving revision 1.40
retrieving revision 1.41
diff -u -r1.40 -r1.41
--- ChangeLog   5 Aug 2014 15:50:37 -0000       1.40
+++ ChangeLog   28 Oct 2014 18:08:35 -0000      1.41
@@ -1,6 +1,10 @@
 # ChangeLog for dev-ruby/rubyzip
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rubyzip/ChangeLog,v 1.40 
2014/08/05 15:50:37 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rubyzip/ChangeLog,v 1.41 
2014/10/28 18:08:35 graaff Exp $
+
+  28 Oct 2014; Hans de Graaff <[email protected]> rubyzip-1.1.3.ebuild:
+  Fix test failures due to random ordering of tests with newer minitest, bug
+  527266.
 
   05 Aug 2014; Raúl Porcel <[email protected]> rubyzip-0.9.9.ebuild:
   sparc stable, bug #505100



1.3                  dev-ruby/rubyzip/rubyzip-1.1.3.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubyzip/rubyzip-1.1.3.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubyzip/rubyzip-1.1.3.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubyzip/rubyzip-1.1.3.ebuild?r1=1.2&r2=1.3

Index: rubyzip-1.1.3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/rubyzip/rubyzip-1.1.3.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- rubyzip-1.1.3.ebuild        15 Jun 2014 14:12:00 -0000      1.2
+++ rubyzip-1.1.3.ebuild        28 Oct 2014 18:08:35 -0000      1.3
@@ -1,10 +1,9 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rubyzip/rubyzip-1.1.3.ebuild,v 1.2 
2014/06/15 14:12:00 hattya Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rubyzip/rubyzip-1.1.3.ebuild,v 1.3 
2014/10/28 18:08:35 graaff Exp $
 
 EAPI=5
 
-# jruby → adding zip files to the load path fails, badly
 USE_RUBY="ruby19 ruby20 ruby21"
 
 RUBY_FAKEGEM_TASK_DOC=""
@@ -25,6 +24,8 @@
 RDEPEND=""
 DEPEND="${DEPEND} test? ( app-arch/zip )"
 
+ruby_add_bdepend "test? ( dev-ruby/minitest:0 )"
+
 all_ruby_install() {
        all_fakegem_install
 
@@ -38,4 +39,8 @@
 
        # Avoid dependency on bundler
        sed -i -e '/bundler/ s:^:#:' Rakefile || die
+
+       # rubyzip's tests will fail when run in random order, so require a
+       # minitest version that still preserves ordering.
+       sed -i -e '2igem "minitest", "~> 4.0"' test/test_helper.rb || die
 }




Reply via email to